org.apache.wml

## Interface WMLSelectElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLSelectElementImpl

    public interface WMLSelectElement
    extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'select' element lets user pick from a list of options. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLSelectElement.java 447258 2006-09-18 05:41:23Z mrglavas $
Author:
  David Li

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getIName()`
`java.lang.String` `getIValue()`
`boolean` `getMultiple()`
`java.lang.String` `getName()`
`int` `getTabIndex()`
`java.lang.String` `getTitle()`
`java.lang.String` `getValue()`
`java.lang.String` `getXmlLang()`
`void` `setIName(java.lang.String newValue)` 'iname' specifies name of variable to be set with the index result of selection.
`void` `setIValue(java.lang.String newValue)` 'ivalue' specifies the default of the variable 'iname'
`void` `setMultiple(boolean newValue)` 'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` `setName(java.lang.String newValue)` 'name' specifies the name of variable to be set.
`void` `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` `setValue(java.lang.String newValue)` 'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

### Methods inherited from interface org.apache.wml.WMLElement

`getClassName, getId, setClassName, setId`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### setTabIndex

    void setTabIndex(int newValue)

'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

#### getTabIndex

    int getTabIndex()

#### setMultiple

    void setMultiple(boolean newValue)

'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

#### getMultiple

    boolean getMultiple()

#### setName

    void setName(java.lang.String newValue)

'name' specifies the name of variable to be set. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

#### getName

    java.lang.String getName()

#### setValue

    void setValue(java.lang.String newValue)

'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

#### getValue

    java.lang.String getValue()

#### setTitle

    void setTitle(java.lang.String newValue)

'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

#### getTitle

    java.lang.String getTitle()

#### setIName

    void setIName(java.lang.String newValue)

'iname' specifies name of variable to be set with the index result of selection. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

#### getIName

    java.lang.String getIName()

#### setIValue

    void setIValue(java.lang.String newValue)

'ivalue' specifies the default of the variable 'iname'

#### getIValue

    java.lang.String getIValue()

#### setXmlLang

    void setXmlLang(java.lang.String newValue)

'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

#### getXmlLang

    java.lang.String getXmlLang()